package com.realnet.log.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.log.Entity.Login;
import com.realnet.log.Services.LoginService ;






@RequestMapping(value = "/token/Login")
 @CrossOrigin("*") 
@RestController
public class tokenFree_LoginController {
	@Autowired
	private LoginService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Login")
		  public Login Savedata(@RequestBody Login data) {
		Login save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Login/{id}")
	public  Login update(@RequestBody Login data,@PathVariable Integer id ) {
		Login update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Login/getall/page")
	public Page<Login> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Login> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Login")
	public List<Login> getdetails() {
		 List<Login> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Login")
	public List<Login> getallwioutsec() {
		 List<Login> get = Service.getdetails();		
		return get;
}
@GetMapping("/Login/{id}")
	public  Login  getdetailsbyId(@PathVariable Integer id ) {
		Login  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Login/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}